AutoMedException
Keywords: uk.ac.ic.doc.automed.AutoMedException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed
Class AutoMedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              uk.ac.ic.doc.automed.AutoMedException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ApplicationPropertyException, AuthenticationException, AutoMedTreeException, AutoRepException, BadSchemaException, BuildViewException, CacheException, CommunicationException, ConfigException, ConstructSchemeSyntaxException, CreateInstanceException, DataSourceException, DBInstanceException, DSRException, EvolutionException, FailedOperationException, HandlerNotFoundException, HdmStoreException, IllegalOperationException, IncompleteMessageException, IntegrityException, IQLException, JDBCDriverException, MalformedMessageException, MDRException, NotFoundException, NotOptimisableException, OverlayException, P2PException, ParseException, PersistentDBException, QProcException, QueryAnnotationException, QueryEvaluationException, QueryFormatException, QueryIntegrityException, QueryOptimisationException, QueryProcessingException, QueryReformulationException, QueryResultException, QueryRewriterException, QueueException, RepositoryAccessException, SchemasNotIdenticalException, SSMDRException, StateChangedException, STRException, SyntaxException, TypeException, UnsuccessfulReplyException, XMLException, XMLMaterialisationException

    public class AutoMedException

extends java.lang.Exception

The class root of all AutoMed generated exceptions. The class of exceptions generated by the `uk.ac.ic.doc.automed.reps` and `uk.ac.ic.doc.automed.p2p` packages.

Author:
  Michael Boyd (mboyd@doc.ic.ac.uk), Nerissa Tong (nnyt98@doc.ic.ac.uk)
See Also:
  Serialized Form

Constructor Summary
`protected` | `AutoMedException()`
`` | `AutoMedException(java.lang.String msg)`
`` | `AutoMedException(java.lang.String msg, java.lang.Throwable c)`
`` | `AutoMedException(java.lang.Throwable c)`

Method Summary
`java.lang.Throwable` | `getCause()` Return the source exception
`void` | `printStackTrace()` Overrides {#link Exception.printStackTrace()} method to also print source exception details

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoMedException

    public AutoMedException(java.lang.String msg)

### AutoMedException

    protected AutoMedException()

### AutoMedException

    public AutoMedException(java.lang.Throwable c)

### AutoMedException

    public AutoMedException(java.lang.String msg,
                            java.lang.Throwable c)

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Return the source exception

  Overrides:
    `getCause` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Overrides {#link Exception.printStackTrace()} method to also print source exception details

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD